circle-fe-term v0.240250 Perl 5 v5.12.0 amd64-freebsd

Status
Na
From
Bartosz Jarzyna
Dist
circle-fe-term v0.240250
Platform
Perl 5 v5.12.0 amd64-freebsd
Date
2024-02-10T14:06:19
ID
901aef8a-c81d-11ee-906f-a03f2bc51136
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Paul Evans,

This is a computer-generated report for circle-fe-term-0.240250
on perl 5.12.0, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  While attempting to build or test
this distribution, the distribution signaled that support is not available
either for this operating system or this version of Perl.  Nevertheless, any
diagnostic output produced is provided below for reference.  If this is not
what you expect, you may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/smoker12/perl5/perlbrew/perls/perl-5.12.0/bin/perl Build.PL ':

Checking prerequisites...
  requires:
    !  Convert::Color is not installed
    !  Convert::Color::XTerm is not installed
    !  File::ShareDir is not installed
    !  IO::Async is not installed
    !  Net::Async::Tangence::Client is not installed
    !  Object::Pad is not installed
    !  String::Tagged is not installed
    !  Syntax::Keyword::Match is not installed
    !  Tangence::ObjectProxy is not installed
    !  Tickit is not installed
    !  Tickit::App::Plugin::EscapePrefix is not installed
    !  Tickit::Async is not installed
    !  Tickit::Event is not installed
    !  Tickit::Style is not installed
    !  Tickit::Term is not installed
    !  Tickit::Widget::Entry is not installed
    !  Tickit::Widget::Entry::Plugin::Completion is not installed
    !  Tickit::Widget::HBox is not installed
    !  Tickit::Widget::Scroller is not installed
    !  Tickit::Widget::Tabbed is not installed
    !  Tickit::Widget::VBox is not installed
    !  Tickit::Window is not installed
    !  perl (5.12.0) is installed, but we need version >= 5.026

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Creating new 'MYMETA.yml' with configuration results
Creating new 'Build' script for 'circle-fe-term' version '0.240250'

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module                                    Need     Have    
    ----------------------------------------- -------- --------
  ! Convert::Color                            0.06     n/a     
  ! Convert::Color::XTerm                     0        n/a     
  ! File::ShareDir                            1.00     n/a     
  ! IO::Async                                 0.14     n/a     
  ! Net::Async::Tangence::Client              0.15     n/a     
  ! Object::Pad                               0.800    n/a     
  ! perl                                      5.026    5.012000
  ! String::Tagged                            0        n/a     
  ! Syntax::Keyword::Match                    0        n/a     
  ! Tangence::ObjectProxy                     0.20_001 n/a     
    Text::Balanced                            0        2.02    
  ! Tickit                                    0.55     n/a     
  ! Tickit::App::Plugin::EscapePrefix         0        n/a     
  ! Tickit::Async                             0.21     n/a     
  ! Tickit::Event                             0.58     n/a     
  ! Tickit::Style                             0.40     n/a     
  ! Tickit::Term                              0.27     n/a     
  ! Tickit::Widget::Entry                     0.20     n/a     
  ! Tickit::Widget::Entry::Plugin::Completion 0        n/a     
  ! Tickit::Widget::HBox                      0.32     n/a     
  ! Tickit::Widget::Scroller                  0.15     n/a     
  ! Tickit::Widget::Tabbed                    0.028    n/a     
  ! Tickit::Widget::VBox                      0.31     n/a     
  ! Tickit::Window                            0.42     n/a     


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = C.UTF-8
    PATH = /sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/home/smoker12/bin
    PERL5LIB = 
    PERL5OPT = -I/tmp/CPAN-Reporter-lib-GkmV -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 88415
    PERL5_CPAN_IS_RUNNING = 88415
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 8306,88415
    PERL_AUTOINSTALL = --defaultdeps
    PERL_CR_SMOKER_CURRENT = circle-fe-term-0.240250
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/sh

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/smoker12/perl5/perlbrew/perls/perl-5.12.0/bin/perl
    $UID/$EUID = 1002 / 1002
    $GID = 1002 1002
    $EGID = 1002 1002

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                1.94_56 
    CPAN::Meta          2.143240
    Cwd                 3.31    
    ExtUtils::CBuilder  0.27    
    ExtUtils::Command   7.64    
    ExtUtils::Install   2.06    
    ExtUtils::MakeMaker 7.64    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   2.21    
    File::Spec          3.31    
    JSON                n/a     
    JSON::PP            4.12    
    Module::Build       0.3603  
    Module::Signature   n/a     
    Parse::CPAN::Meta   1.4414  
    Test::Harness       3.17    
    Test::More          1.302191
    YAML                n/a     
    YAML::Syck          1.34    
    version             0.9929  


--

Summary of my perl5 (revision 5 version 12 subversion 0) configuration:
   
  Platform:
    osname=freebsd, osvers=13.1-release-p3, archname=amd64-freebsd
    uname='freebsd smoker-10.smoker 13.1-release-p3 freebsd 13.1-release-p3 generic amd64 '
    config_args='-de -Dprefix=/home/smoker12/perl5/perlbrew/perls/perl-5.12.0 -Duse64bitint -Aeval:scriptdir=/home/smoker12/perl5/perlbrew/perls/perl-5.12.0/bin'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include',
    optimize='-O2',
    cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='FreeBSD Clang 13.0.0 (git@github.com:llvm/llvm-project.git llvmorg-13.0.0-0-gd7b669b3a303)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags ='-Wl,-E  -fstack-protector -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib
    libs=-ldl -lm -lcrypt -lutil -lc
    perllibs=-ldl -lm -lcrypt -lutil -lc
    libc=, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags='-DPIC -fPIC', lddlflags='-shared  -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: PERL_DONT_CREATE_GVSV PERL_MALLOC_WRAP USE_64_BIT_ALL
                        USE_64_BIT_INT USE_LARGE_FILES USE_PERLIO
                        USE_PERL_ATOF
  Locally applied patches:
	Devel::PatchPerl 2.08
  Built under freebsd
  Compiled at Nov 17 2022 20:51:41
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="88415"
    PERL5_CPAN_IS_RUNNING="88415"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="8306,88415"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_CR_SMOKER_CURRENT="circle-fe-term-0.240250"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /home/smoker12/perl5/perlbrew/perls/perl-5.12.0/lib/site_perl/5.12.0/amd64-freebsd
    /home/smoker12/perl5/perlbrew/perls/perl-5.12.0/lib/site_perl/5.12.0
    /home/smoker12/perl5/perlbrew/perls/perl-5.12.0/lib/5.12.0/amd64-freebsd
    /home/smoker12/perl5/perlbrew/perls/perl-5.12.0/lib/5.12.0
    .